// siglaunch, © Jonas.Sundstrom @ kirilla.com 

#include <Application.h>
#include <Roster.h>
#include <String.h>
#include <stdio.h>

void syntax()
{
	printf("Syntax:  siglaunch [app sig|mime type] [arguments]\n"
			"Example: siglaunch application/x-vnd.Be-TRAK /boot/home\n"
			"Example: siglaunch text/plain /path/to/file\n"
			"Origin:  www.kirilla.com\n");
	return;
}

int main(int argc, char *argv[], char *arge[]) 
{
	new BApplication("application/x-vnd.kirilla-siglaunch");

	if(argc <= 1)
	{
		printf("Error: No application signature or mimetype specified.\n");
		delete be_app;		
		return (-1);
	}

	BString argument = argv[1];
	
	if (argument == "--help")
	{
		syntax();
		delete be_app;
		return (0);
	}

	status_t status;
	status = be_roster->Launch(argv[1], argc-2, argv+2);

	if (status != B_OK)
	{
		const char *explanation = strerror(status);
		printf("Error: %s\n", explanation);
		delete be_app;
		return (-1);
	}

	delete be_app;
	return (0);
}

